%define upstream_name    RDF-Query
%define upstream_version 2.917

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Executable query plan for nested loop joins
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RDF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::UUID)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(I18N::LangTags)
BuildRequires: perl(JSON) >= 2.0.0
BuildRequires: perl(Module::Pluggable)
BuildRequires: perl(Parse::RecDescent)
BuildRequires: perl(RDF::Trine) >= 1.4.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Set::Scalar)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::JSON)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(URI) >= 1.520.0
BuildRequires: perl(YAML)
BuildArch:  noarch

%description
RDF::Query allows SPARQL and RDQL queries to be run against an RDF model,
returning rows of matching results.

See the http://www.w3.org/TR/rdf-sparql-query/ manpage for more information
on SPARQL.

See the http://www.w3.org/Submission/2004/SUBM-RDQL-20040109/ manpage for
more information on RDQL.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/rqsh
/usr/share/man/man1/rqsh.1.xz

%changelog
* Sun May 29 2016 shlomif <shlomif> 2.917.0-1.mga6
+ Revision: 1019303
- update to 2.917

* Thu Dec 17 2015 shlomif <shlomif> 2.916.0-1.mga6
+ Revision: 911496
- New version 2.916

* Sun Aug 23 2015 sander85 <sander85> 2.915.0-1.mga6
+ Revision: 868653
- update to 2.915

* Sat Jul 04 2015 sander85 <sander85> 2.914.0-1.mga6
+ Revision: 850367
- update to 2.914

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Jul 25 2014 sander85 <sander85> 2.911.0-1.mga5
+ Revision: 656465
- update to 2.911

* Sat Oct 19 2013 umeabot <umeabot> 2.910.0-2.mga4
+ Revision: 530354
- Mageia 4 Mass Rebuild

* Tue Jul 23 2013 sander85 <sander85> 2.910.0-1.mga4
+ Revision: 457381
- update to 2.910

* Sun Jan 13 2013 umeabot <umeabot> 2.909.0-2.mga3
+ Revision: 372180
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 shlomif <shlomif> 2.909.0-1.mga3
+ Revision: 334243
- imported package perl-RDF-Query

